import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * When the Run button is clicked, the Flys will move in a random pattern
   The player uses the arrow keys on the keyboard to control the Frog's movements.
   When the Frog is in the same spot as a Fly, the Frog will eat the Fly.
   After the Frog eats a Fly, another Fly appears in a random location.
 * 
 * @author Nancy Hoffman 
 * @version August 14, 2013
 */
public class FrogWorld extends World
{

    /**
     * Constructor for objects of class FrogWorld.
     * 
     */
    public FrogWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 600, 1); 
        
        for(int i = 0; i < 2; i++){
            addObject(new Frog(), Greenfoot.getRandomNumber(this.getWidth()-10),Greenfoot.getRandomNumber(this.getHeight()-10));
        }
        int i = 0;
        while(i<2){
            addObject(new Fly(), Greenfoot.getRandomNumber(this.getWidth()-10),Greenfoot.getRandomNumber(this.getHeight()-10));
            i++;
        }
        
        Frog[] group = new Frog[3];
        
        for(int j = 0; j < group.length; j++){
            group[j] = new Frog();
            addObject(group[j],Greenfoot.getRandomNumber(this.getWidth()-10),Greenfoot.getRandomNumber(this.getHeight()-10)); 
    
        }
    }
}
