import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * When the Run button is clicked, the Flys will move in a random pattern
   The player uses the arrow keys on the keyboard to control the Frog's movements.
   When the Frog is in the same spot as a Fly, the Frog will eat the Fly.
   After the Frog eats a Fly, another Fly appears in a random location.
 * 
 * @author Nancy Hoffman 
 * @version August 14, 2013
 */
public class FrogWorld extends World
{

    /**
     * Constructor for objects of class FrogWorld.
     * 
     */
    public FrogWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        addObject(new Fly(), 200, 200);
        addObject(new Frog(), 300,300);
    }
}
